> ## Documentation Index
> Fetch the complete documentation index at: https://docs.collab-kit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Webhook

> Get details for a specific webhook.

Retrieve details for a specific webhook by ID.

## Endpoint

```
GET /v1/accounts/:accountId/webhooks/:id
```

## Authentication

**Bearer token** required.

## Path Parameters

<ParamField path="id" type="string" required>
  The webhook's unique ID.
</ParamField>

## Response

<ResponseField name="webhook" type="WebhookRegistrationPublic">
  The webhook object (without the `secret` field). See [`WebhookRegistrationPublic`](/types/webhooks#webhookregistrationpublic).
</ResponseField>

## Example

<CodeGroup>
  ```bash curl theme={null}
  curl "https://api.collab-kit.com/v1/accounts/${ACCOUNT_ID}/webhooks/wh_abc123" \
    -H "Authorization: Bearer ${TOKEN}"
  ```

  ```typescript JavaScript theme={null}
  const res = await fetch(`https://api.collab-kit.com/v1/accounts/${accountId}/webhooks/wh_abc123`, {
    headers: { 'Authorization': `Bearer ${token}` },
  });
  const { data } = await res.json();
  ```
</CodeGroup>

```json Response theme={null}
{
  "type": "response",
  "success": true,
  "description": "Webhook retrieved",
  "data": {
    "webhook": {
      "id": "wh_abc123",
      "organization_id": "a1b2c3d4-...",
      "url": "https://api.example.com/collab-webhook",
      "events": ["participant.joined", "participant.left"],
      "room_id": null,
      "enabled": true,
      "created_at": "2026-05-29T10:00:00.000Z",
      "updated_at": "2026-05-29T10:00:00.000Z"
    }
  },
  "error": null
}
```
